<?php
/*
Plugin Name: Prayer Supporter
Plugin URI: http://griffshp.com
Description: This plugin has been modified to allow prayer partners to sign up and select a day where they can dedicate to the missionary they are trying to help. Activate plugin, create a page, and paste only this in it: {RESERVATION2}  Paste this in a page to allow login for pray partners: {RESERVATION7}
Version: 0.5 beta
Author:  Garon Griffiths and Alexey Isaev

*/
/*  Copyright 2009 Alexey  Isaev

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/
/********************** My Additions *********************/
//[res_order] - dead
function res_order_func( $atts ){
 return "foo and bar";
}
add_shortcode( 'res_order', 'res_order_func' );
require "calendar.php";
/*********************************************************/

//print_r($_REQUEST);

	foreach ( $_REQUEST as $key => $value ) {
		$_REQUEST[$key] = filter_var($value, FILTER_SANITIZE_STRING);}
		
define ("RES_PLUGIN_DIR", basename(dirname(__FILE__)));
define ("RES_PLUGIN_URL", get_settings("siteurl")."/wp-content/plugins/".RES_PLUGIN_DIR);
define ("RES_PLUGIN_PATH",ABSPATH."wp-content/plugins/".RES_PLUGIN_DIR);
define ("RES_CUR_PAGE","http://".$_SERVER["HTTP_HOST"].$_SERVER["REDIRECT_URL"]);
add_action("init", "res_init");
add_action("admin_init", "res_adm_init");
add_action("admin_menu", "res_menu");
add_action("admin_head", "res_add_head" );
add_action("wp_head", "res_add_head" );
add_filter("the_content","res_insert");
add_filter("plugin_action_links", "res_links", 10, 2 );
register_activation_hook(__FILE__,'activate');

$path_to_php_file_plugin = "wp-reservation/wp-reservation.php";
add_action("deactivate_" . $path_to_php_file_plugin, "deactivate"); 
add_action("activate_" . $path_to_php_file_plugin,  "activate"); 

$GLOBALS["version"] = "free";
if (file_exists(RES_PLUGIN_PATH. '/wp-res-pro.php')) { require_once(RES_PLUGIN_PATH. "/wp-res-pro.php" );  $GLOBALS["version"] = "pro";}

if ($GLOBALS["version"]	== "pro") add_action("show_user_profile", "show_user_fields");
if ($GLOBALS["version"]	== "pro") add_action("edit_user_profile", "show_user_fields");
if ($GLOBALS["version"]	== "pro") add_action("personal_options_update", "update_user_fields");
if ($GLOBALS["version"]	== "pro") add_action("edit_user_profile_update", "update_user_fields");


function res_adm_init() {
	if ($_REQUEST['page']=="resources") {
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-form');
	wp_enqueue_script('jqtreetable', RES_PLUGIN_URL.'/js/jQTreeTable/jqtreetable.js');
	wp_enqueue_script('jquery-ui-dialog');
	wp_enqueue_script('jquery-ui-resizable'); }
	
	 	
	//<script src="'.RES_PLUGIN_URL.'/js/jQTreeTable/jqtreetable.js" type="text/javascript"></script>';
}


function resLocale($locale = "") { 
	global $locale;
	
		$mofile = RES_PLUGIN_PATH  .'/lang/'.RES_PLUGIN_DIR.'-'.$locale.'.mo';
		return load_textdomain(RES_PLUGIN_DIR, $mofile);
	
	if ( empty( $locale ) ) $locale = get_locale();
	if ( !empty( $locale ) ) {
		
		$mofile = RES_PLUGIN_PATH  .'/lang/'.RES_PLUGIN_DIR.'-'.$locale.'.mo';
		
		if (file_exists($mofile))    return load_textdomain(RES_PLUGIN_DIR, $mofile);
		else                        return false;
	} return
	false;
}


if ( !function_exists('wp_sanitize_redirect') ) :
function wp_sanitize_redirect($location) {
	$location = preg_replace('|^a-z0-9-~+_.?#=&;,/:%!|i', '', $location);
	$location = wp_kses_no_null($location);

	
	$strip = array('%0d', '%0a', '%0D', '%0A');
	$location = _deep_replace($strip, $location);
	return $location;
}
endif;

function res_links($links, $file){ 
	
	static $this_plugin;
	if (!$this_plugin) $this_plugin = plugin_basename(dirname(__FILE__).'/wp-reservation.php');
	
	if ($file == $this_plugin){
		$settings_link1 = '<a href="admin.php?page=settings">' . __('Settings', 'wp-reservation') . '</a>';
		array_unshift( $links, $settings_link1 ); 
	}
	return $links;
}

function res_init()
{
	wp_register_script('jscal2', RES_PLUGIN_URL	   .'/js/jscal2/jscal2.js');
	wp_enqueue_script('jscal2');
	$lang='en';

	if (file_exists(RES_PLUGIN_PATH.'/js/jscal2/lang/'.substr(get_locale(),0,2).'.js')) { $lang=substr(get_locale(),0,2);}
	wp_register_script('jscal2lang', RES_PLUGIN_URL.'/js/jscal2/lang/'.$lang.'.js');
	wp_enqueue_script('jscal2lang');
	
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-ui-dialog');
}


function res_add_head()
{
resLocale() ;

if ($_REQUEST['pager']=="selectajax") {select_ajax();  exit;}
if ($_REQUEST['pager']=="sberprint") {echo sberprint();  exit;}

	echo '
<link rel="stylesheet" type="text/css" href="'.RES_PLUGIN_URL.'/css/calendar/jscal2.css" />
<link rel="stylesheet" type="text/css" href="'.RES_PLUGIN_URL.'/css/calendar/border-radius.css" />
<link rel="stylesheet" type="text/css" href="'.RES_PLUGIN_URL.'/css/calendar/'.get_option("res_calendar_color").'/'.get_option("res_calendar_color").'.css" />
<link rel="stylesheet" type="text/css" href="'.RES_PLUGIN_URL.'/css/res/'.get_option("res_color").'/style.css" />
<link rel="stylesheet" type="text/css" href="'.RES_PLUGIN_URL.'/css/prayer-supporter.css" />
<link href="'.RES_PLUGIN_URL.'/css/res/res.css" rel="stylesheet" type="text/css" /> 

';
	
if (is_admin()) { echo '<link href="'.RES_PLUGIN_URL.'/css/res/admin.css" rel="stylesheet" type="text/css" /> ';}
}


function res_insert($content)
{ 
	if (preg_match('{RESERVATION([0-9]*)}',$content,$interf))
	{
		$interf=$interf[1];
		$res_output = res_page(0,$interf);
		$content = preg_replace('/{RESERVATION([0-9]*)}/',$res_output,$content);
		}

	return $content;
}


function res_page($charr,$interf) {

//echo $_REQUEST['datebegin']."<br>";
	$content = "";	
	$content .= '<div class="reservation">';
	//print_r($charr);
	//print_r($interf);
	//echo $_REQUEST['pager'];
	
	if ($interf == 7 && $_REQUEST['pager'] == false){$_REQUEST['pager'] = '7';}	
	
	switch ($_REQUEST['pager']) {
	
	case '1':  $content .= pageI23(); 		break ; 
	case '2':  $content .= page2a();        break ; 
	case '3':  {
			if ($_REQUEST['alreadyreg']!=1) {
				$err="";
				if ($_REQUEST['last_name']=="") {
					$err .= __(" - No specified (Name)","wp-reservation");
				}

				if (empty($_REQUEST['rules'])) {
					$err .= __("You must agree to the terms","wp-reservation");
				}

				if ($err!="") {
					$err = "<div class=alert>".__("When completing the form, the following error(s) occurred:","wp-reservation") . $err."</div>";
					$content .=($err); $content .= page2b();
				} else {		
					$content .= page3();
				} 
			} else $content .= page3(); }

		break ; 
		
	case '2b': { 	$err="";
			
			if ($_REQUEST['log']=="") {
				$err .= __("No specified (email address)","wp-reservation");
			}
			
			if ($err!="") {
				$err = "<div class=alert>".__("When completing the form, the following error(s) occurred:","wp-reservation") . $err."</div>";
				$content .=($err); $content .= page2a();
			} else {
				if (!eregi("^[._a-zA-Z0-9-]+@[.a-zA-Z0-9-]+.[a-z]{2,6}$", $_REQUEST['log'])) {$err.= __("That isn`t a valid e-mail address.  E-mail addresses look like: username@example.com","wp-reservation");
					$err = "<div class=alert>".$err."</div>"; $content .= $err; $content .= page2a();
				} else {
					$content .= page2b();}
			} }         break ; 

	case '7': $content .= page7();   break;
	case '8': $content .= page8();   break;
	case '9': $content .= passchg();   break;
	case '10': $content .= page9();   break;
	
/*
	case 'mobcash': $content .= mobcash();        break ; 
	//case 'selectajax':  select_ajax();  exit;       break ; 
	case 'sber': $content .= sber();        break ; 
	case 'sberprint': $content .= sberprint();        break ; 
	case 'webmoney': $content .= webmoney ();        break ; 
	case 'robokassa': $content .= robokassa ();        break ; 
	case 'paypal': $content .= paypal ();        break ; 
	case 'confirm_paypal': $content .=confirm_paypal(); break;  
	case 'success_paypal': $content .=success_paypal(); break; 
	case 'cancel_paypal': $content .=cancel_paypal(); break; 
	case 'nopay': $content .= "<div class=alert>".__("You have not chosen a payment system","wp-reservation")."</div>"; $content .= page3 ();break ; 
*/
	default: $content .= pageI12($interf);               break;
	}

	$content .= '</div>';

	return $content;
}

//Initial page
include( plugin_dir_path( __FILE__ ) . 'pageI12.php');
//Initial page
include( plugin_dir_path( __FILE__ ) . 'pageI23.php');
//Enter email
include( plugin_dir_path( __FILE__ ) . 'page2a.php');
//Register or fill out form
include( plugin_dir_path( __FILE__ ) . 'page2b.php');
//Submit form, sends email with new user info
include( plugin_dir_path( __FILE__ ) . 'page3.php');
//User login page
include( plugin_dir_path( __FILE__ ) . 'page7.php');
//User options page
include( plugin_dir_path( __FILE__ ) . 'page8.php');
//User options page
include( plugin_dir_path( __FILE__ ) . 'passchg.php');
//User administration
include( plugin_dir_path( __FILE__ ) . 'page9.php');


function update_table_ajax() {
	global $wpdb;
	if($_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest') {
		$time = date("H:i:s", time());
		header('Content-Type: text/html; charset=utf-8');
		//	print_r ($_REQUEST); exit;

		if (isset($_REQUEST['resourceid'])) {

			$qry="update ".$wpdb->prefix ."res_resources  set ";

			foreach ($_REQUEST as $key=>$value) {
				if ($key!="page" && !strpos($key,"id")) {
				if (($value)=='')  $value="NULL";
				$qry.=	" $key='$value' ,";

				}
				if (strpos($key,"id")) $key_id=$key;	
			}
			$qry=substr($qry,0,-1).	" where $key_id='".$_REQUEST[$key_id]."' ";
									
			$wpdb->query($wpdb->prepare($qry) );

			echo '<img src="'.RES_PLUGIN_URL.'/js/jQTreeTable/images/load.gif">';
			exit 	;
		}
	}	
}


function select_ajax() {
	global $wpdb;
	//if($_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest') 
	{
		$time = date("H:i:s", time());
//		header('Content-Type: text/html; charset=utf-8');
		//	print_r ($_REQUEST); exit;

	list($results,$map,$treet,$level)=treesort();
	
	$treeselect=treeselect($results,$level,42);

			echo '<br><b>'.__("Room","wp-reservation").'</b><br>'.$treeselect;
			
			//.'<img src="'.RES_PLUGIN_URL.'/js/jQTreeTable/images/load.gif">';
	//		exit 	;
		
	}	
}


function res_menu() {

global $submenu, $menu	, $wpdb;

if (isset($_REQUEST["expand_x"]) || $_REQUEST['action']=="add") setcookie ("treet", "", time() - 3600);             
if (isset($_REQUEST["collapse_x"])) {  

list($results,$map,$treet)=treesort(); 

setrawcookie ("treet", $treet);
}

resLocale() ;

if ( strpos($_SERVER['HTTP_HOST'],'isaev.asia') !== FALSE ) {$user_role_plugin = $user_role_settings  = 0 ; } else { $user_role_plugin = get_option("res_security_plugin") ; $user_role_settings = get_option("res_security_settings") ;}

update_table_ajax();

	add_menu_page(__("Reservation","wp-reservation"), __("Prayer Requests","wp-reservation"), $user_role_plugin,"orders" , 'res_options', RES_PLUGIN_URL."/img/ico16x16.png");
	add_submenu_page("orders", __("Reservation","wp-reservation"), __("Requests","wp-reservation"), $user_role_plugin,"orders", 'res_options');
	//add_submenu_page("orders", __("Reservation","wp-reservation"), __("Reserve","wp-reservation"), $user_role_plugin,"makeorder", 'res_options');
	add_submenu_page("orders", __("Reservation","wp-reservation"), __("Prayer Needs","wp-reservation"), $user_role_plugin, "resources", 'res_options');
	add_submenu_page("orders", __("Reservation","wp-reservation"), __("Add Prayer Need","wp-reservation"), $user_role_plugin, "addneeds", 'res_options');
	add_submenu_page("orders", __("Reservation","wp-reservation"), __("Settings","wp-reservation"), $user_role_settings, "settings", 'res_options');
	//$submenu[plugin_basename( "ordertable" )][0][0] = __("Orders table","wp-reservation");	
}


function res_options() {

echo '<div class="wrap">';

echo menu_admin();		
		
	if(isset($_REQUEST['page']))  switch ($_REQUEST['page']) {
		
		case "resources" : 	adm_resources(); break;
		case "orders" : 	
			if ($_REQUEST['subpage']=="mail")  {adm_mailbron();	break;}
			elseif ($_REQUEST['subpage']=="suborder")  {adm_suborder();	break;}
			else {adm_orders(); break;}
		case "mail" : 		adm_mailbron(); break;
		case "suborder" : 	adm_suborder(); break;
		case "addneeds" : 	adm_add_needs(); break;
		case "settings"  :  adm_settings(); break;
		case "pro"  :  		adm_pro(); break;
		case "makeorder" : 		adm_makeorder0(); break;
		case "makeorder1" : 	adm_makeorder1();	 break;
		case "makeorder2" : 	adm_makeorder2();	 break;
		//case "ordertable" : echo adm_ordertable(); break;
	}
	else  
		adm_orders();
						
echo '</div>';			
}

function activate() 
{ 
	global $wpdb;

	$table_name = $wpdb->prefix . "res_orders";
	if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		$sql = "CREATE TABLE $table_name (
`orderid` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`userid` BIGINT(20) UNSIGNED NOT NULL,
`username` VARCHAR(100) DEFAULT NULL,
`datebegin` DATE DEFAULT NULL,
`dateend` DATE DEFAULT NULL,
`comments` TEXT ,
`freq` INT(4) DEFAULT NULL,
`newsletter` INT(2) DEFAULT NULL,
PRIMARY KEY (`orderid`),
KEY `userid` (`userid`)
)";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);		}	
		
		$table_name = $wpdb->prefix . "res_needs";
	if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		$sql = "CREATE TABLE $table_name (
  `id` int(12) NOT NULL AUTO_INCREMENT,
  `prayer_needs` text NOT NULL,
  `date_created` datetime NOT NULL,
  `active` int(2) NOT NULL,
  PRIMARY KEY (`id`)
)";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);		}

	add_option("res_db_version", "0.7");
	add_option("res_days","14");
	add_option("res_color","white");
	add_option("res_calendar_color","gold");
	add_option("res_security_plugin","7");
	add_option("res_security_settings","10");
	add_option("res_full_uninstall","");
	add_option("res_terms","Your information will be kept confidential and will only be seen by the administrators of this site. No information will be given to anyone without your consent. ");
	add_option("res_calc","1");

//Not Multisite compatible
	add_option("res_email","your@email.com");
	add_option("res_name","Your Name");
}


function deactivate() 
{ 
	global $wpdb;
	if (get_option("res_full_uninstall"))
	{
		$sql = "DROP TABLE IF EXISTS ".$wpdb->prefix . "res_needs, ".$wpdb->prefix . "res_orders";
		$wpdb->query($sql);					

		delete_option("res_db_version");
		delete_option("res_days");
		delete_option("res_color");
		delete_option("res_calendar_color");
		delete_option("res_security_plugin");
		delete_option("res_security_settings");
		delete_option("res_full_uninstall");
		delete_option("res_terms");
		delete_option("res_calc");
	}
}

function res_pass ()
{
	$fp = file ("pass.txt",1);
	return (trim($fp[rand(0,count($fp)-1)]).rand(100,999));
}

	
  /////////////////////////////////////////////////////////////////////////////
 //					Admin page section										//
/////////////////////////////////////////////////////////////////////////////


function menu_admin () {
	global $wpdb;

	$pageadr=$_REQUEST['page'];
	if ($_REQUEST["page"]) $divid=$_REQUEST["page"]; else $divid="orders";
	if ($_REQUEST["page"]=="suborder" || $_REQUEST["page"]=="mail") $divid="orders";
	if ($_REQUEST["page"]=="makeorder1" || $_REQUEST["page"]=="makeorder2")  $divid="makeorder";
	$content = '
	<div id="'.$divid.'">
	<br>
	<ul id="tabnav">
	<li class="tab2"><a href="?page=orders">'.__("Requests") .'</a></li>
	
	<li class="tab4"><a href="?page=resources">'.__("Prayer Needs","wp-reservation").' </a></li>
	<li class="tab5"><a href="?page=addneeds">'.__("Add Prayer Needs","wp-reservation").' </a></li>
	<li class="tab6"><a href="?page=settings">'.__("Settings","wp-reservation").'</a></li> ';
	$content .='</ul>
	</div>
';
	
	return 	$content;
}

function adm_settings()
{
	global $wpdb;

	$content="";

	
	if ($_REQUEST['change_settings']) {

		update_option("res_days",$_REQUEST["res_days"]) ;
		update_option("res_color",$_REQUEST["res_color"]) ;
		update_option("res_calendar_color",$_REQUEST["res_calendar_color"]) ;
		update_option("res_security_plugin",$_REQUEST["res_security_plugin"]) ;
		update_option("res_security_settings",$_REQUEST["res_security_settings"]) ;
		update_option("res_full_uninstall",$_REQUEST["res_full_uninstall"]) ;
		update_option("res_terms",$_REQUEST["res_terms"]) ;
		update_option("res_calc",$_REQUEST["res_calc"]) ;
		
		if ($GLOBALS["version"] == "pro")	{ pro_update_settings(); }
		
		echo "<div class=alert>".__("Settings saved","wp-reservation")."</div>"		 ;
		
	}

	$role_list= array ("Administrator"=>10,"Editor"=>7,"Author"=>2,"Contributor"=>1,"Subscriber"=>0);

	$content .= '
	<h2>'.__("Settings","wp-reservation").'</h2>
	<form id="form1" name="form1" method="post" action="">	';
	
	$content .= '
	<br>
	<h3>'.__("Design settings","wp-reservation").'</h3>
	<form id="form1" name="form1" method="post" action="">
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr >
	<th >'.__("Parameter","wp-reservation").'</th>
	<th>'.__("Value","wp-reservation").'</th>
	</tr>
	</thead>
	<tr>
	<td>'.__("How many days to show for choosing","wp-reservation").'</td>
	<td><select name="res_days" class="koldays" id="settings">';

	$maxdays=31;
	for($i=1;$i<=$maxdays;$i++)
	{
	if ($i==get_option("res_days")) $adder="selected" ; else $adder="";
	$content .= "<option $adder value=\"$i\" >$i</option>";}	
	$content .= '
	</select></td>	
	</tr>
	<tr>
	<td>'.__("Plugin colors (CSS)","wp-reservation").'</td>
	<td><select name="res_color" id="settings">
	
	';
	$adder="";
	$pathcss=RES_PLUGIN_PATH.'/css/res/';
	if ($handle = opendir($pathcss)) {
		while (false !== ($file = readdir($handle))) { 
			if (is_dir($pathcss.$file) && $file !== '.' && $file !== '..') {  
			if ($file==get_option("res_color")) $adder="selected" ; else $adder="";
	$content .= '<option '.$adder.'>'.$file;
			}
		}
	closedir($handle);
	}

	//<td><input type="text" name="res_color"  size=49  value="'.get_option("res_color") .'" /></td>
	$content .= '</select></td>	
	</tr>
	<tr>
	<td>'.__("Calendar colors (CSS)","wp-reservation").'</td>
	<td><select name="res_calendar_color" id="settings">
	';
	$pathcss=RES_PLUGIN_PATH.'/css/calendar/';
	if ($handle = opendir($pathcss)) {
		while (false !== ($file = readdir($handle))) { 
			if (is_dir($pathcss.$file) && $file !== '.' && $file !== '..' && $file !== 'img') {  
			if ($file==get_option("res_calendar_color")) $adder="selected" ; else $adder="";
	$content .= '<option '.$adder.'>'.$file;
			}
		}
	closedir($handle);
	}
	//<td><input type="text" name="res_calendar_color"  size=49  value="'.get_option("res_calendar_color") .'" /></td>
$content .= '	
	</select></td>	
	</tr></table>
	<br>
	<h3>'.__("Security settings","wp-reservation").'</h3>
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr >
	<th >'.__("Parameter","wp-reservation").'</th>
	<th>'.__("Value","wp-reservation").'</th>
	</tr>
	</thead>
	<tr><td>'.__("User access level to plugin","wp-reservation").'</td><td><select  name="res_security_plugin" id="settings">';
	reset($role_list);
while (list ($key, $val)=each($role_list)){
if ($val==get_option("res_security_plugin")) $adder="selected" ; else $adder="";
	$content .= '<option '.$adder.' value="'.$val.'">'.translate_user_role($key);
}
	
	$content .= '</select></td></tr>
	<tr><td>'.__("User access level to settings","wp-reservation").'</td><td><select  name="res_security_settings" id="settings">';
	reset($role_list);
while (list ($key, $val)=each($role_list)){
if ($val==get_option("res_security_settings")) $adder="selected" ; else $adder="";
	$content .= '<option '.$adder.' value="'.$val.'">'.translate_user_role($key);
}
	$content .= '</select></td></tr></table>';
	
	$content .= '<h3>'.__("Deactivation settings","wp-reservation").'</h3>
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr >
	<th >'.__("Parameter","wp-reservation").'</th>
	<th>'.__("Value","wp-reservation").'</th>
	</tr>
	</thead>
	<tr><td>'.__("Full uninstall (all data will be removed)","wp-reservation").'</td><td><input type="checkbox"  name="res_full_uninstall"'; 
	if(get_option("res_full_uninstall"))  $content.=' checked ';
	$content.='" onclick="if (this.checked == true) {return confirm(\''.__("Are you sure ? (all data will be removed)","wp-reservation").'\')}" /></td></tr></table>';
	
	
	
	$content .= '<h3>'.__("Other settings","wp-reservation").'</h3>
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr >
	<th >'.__("Parameter","wp-reservation").'</th>
	<th>'.__("Value","wp-reservation").'</th>
	</tr>
	</thead>';
	/*
	//per_day & per_night calculate
	$content .='<tr><td>
	'.__("How to calculate employment resources","wp-reservation").'</td><td><select  name="res_calc" id="settings">';
	$calc_list= array (__("per day","wp-reservation")=>1,__("per night","wp-reservation")=>2);
	reset($calc_list);
while (list ($key, $val)=each($calc_list)){
if ($val==get_option("res_calc")) $adder="selected" ; else $adder="";
	$content .= '<option '.$adder.' value="'.$val.'">'.$key;
}
	$content .= '</select>
	</td></tr>';
	*/
	$content .='<tr><td>'.__("Terms of booking","wp-reservation").'</td><td><textarea   name="res_terms" rows="10" cols="40">'
	.get_option("res_terms") ."</textarea ></td></tr></table>";
	
	
	if ($GLOBALS["version"] == "pro")	$content .= pro_settings();
	
	$content .= '<div class="tablenav">

	<div class="alignleft actions">
	<input type="hidden" value="1" name="change_settings" >
	<input type="submit" value="'.__("Save","wp-reservation").'" name="doaction2" id="doaction2" class="button-primary" />
	</div>

	<br class="clear" />
	</div>
	</form>';
	echo $content;
}

function charr ($plarr1, $plarr) {
global $wpdb;
$charr=array();
		
		// find all childs and save it to $charr
		$qry ="select  resourceid, parent , name, username, capacity from ".$wpdb->prefix . "res_resources order by resourceid";
		$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );
		list($results,$map)=treesort($results);	
		
		foreach ($plarr as $plarrv ) {
			$flag=0;
			foreach ($map as $key=>$value) {
				if ($results[$key][0]==$plarrv || $flag>0) { 
					if ($flag==0) {$fmap=$value; $flag +=1;}
					if ($fmap==$value && $flag>1 || $fmap>$value) break;  else $flag += 1;
					// check repated values in array, if value uniqal add it to array		
					if(!in_array($results[$key][0],$charr))			array_push($charr,$results[$key][0]);
				}
			}
		}
		$charr=( implode(",",$charr))	 ;
		$charr=array($plarr1,$charr);
		return $charr;
}

function adm_resources ()
{
	global $wpdb;

	$content="";
	
	if ($_REQUEST['action']=="-1" ) {
		$content .= "<div class=alert>".__("You have not selected any of the operations","wp-reservation")."</div>"		 ;
	}
	
	if ($_REQUEST['action']=="activate") {
		if ($_REQUEST['post'] == false){$content .= "<div class=alert>Select a row to change.</div>";}
		if (count($_REQUEST['active']) > 1){$content .= "<div class=alert>Too many active at one time.</div>";}
		if (count($_REQUEST['active']) == 1 and count($_REQUEST['post'])>0){
		foreach ($_REQUEST['post'] as $key=>$value) {
			if ($_REQUEST['active'][$key] == null){$active = 0;} else {$active = $_REQUEST['active'][$key];}
			$qry ="update ".$wpdb->prefix . "res_needs"." set active = '".$active."'  where id='".$value."' ";
			//echo $qry;
			$wpdb->query($wpdb->prepare($qry) );
		}
		$content .= "<div class=alert>Selected records changed</div>";
		}
	}

	if ($_REQUEST['action']=="edit") {
		if ($_REQUEST['post'] == false){$content .= "<div class=alert>Select a row to change.</div>";}
		if (count($_REQUEST['active']) > 1){$content .= "<div class=alert>Too many active at one time.</div>";}
		
		if (count($_REQUEST['active']) == 1 and count($_REQUEST['post'])>0){
		foreach ($_REQUEST['post'] as $key=>$value) {
			if ($_REQUEST['active'][$key] == null){$active = 0;} else {$active = $_REQUEST['active'][$key];}
			$qry ="update ".$wpdb->prefix . "res_needs"." set active = '".$active."' ,  prayer_needs = '".$_REQUEST['prayer_needs'][$key]."' ,  date_created = now() where id='".$value."' ";
			//echo $qry;
			$wpdb->query($wpdb->prepare($qry) );
		}
		$content .=  "<div class=alert>Selected records changed</div>";
		}
	}

	if ($_REQUEST['action']=="delete" and count($_REQUEST['post'])>0) {
		if ($_REQUEST['post'] == false){$content .= "<div class=alert>Select a row to change.</div>";}
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="delete from ".$wpdb->prefix . "res_needs"."  where id='".$value."' ";
			//echo $qry;
			$wpdb->query($wpdb->prepare($qry) );
		}
		$content .=  "<div class=alert>".__("Selected records deleted","wp-reservation")."</div>";
	}

	$content .= '
	<h2>'.__("Requests","wp-reservation").'</h2><br>
	<a href="?page=addneeds">Add New Prayer Needs</a><br><br>
	<form id="form2" name="form2" method="post" action="">
	<table class="widefat page fixed" style="">
	<thead>
	<tr>
	<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox" /></th>
	<th width=20>ID</th>
	<th>'.__("Prayer Needs","wp-reservation").'</th>
	<th>'.__("Date","wp-reservation").'</th>
	<th width=80>'.__("Active","wp-reservation").'</th>
	</tr>
	</thead>
';

	$qry="select id, prayer_needs, date_created, active FROM
".$wpdb->prefix . "res_needs group by id, prayer_needs, date_created, active";

	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_A);

	$pageadr=$_REQUEST['page'];
	if (count($results)>0) {
		$i=1;
		foreach ($results as $fld) {

			extract($fld);

			$activeadd="";
			if ($active > 0) $activeadd="checked";
			$creationdate = date("m-d-Y g:i a",strtotime($date_created));
			$content .= <<<EOF
			<tr><th scope="row" class="check-column"><input type="checkbox" name="post[$i]" value="$id" /></th>
			<td><input type="hidden" name="id[$i]" value="$id" />$id</td>
			<td><center><textarea cols="80" rows="3" name="prayer_needs[$i]">$prayer_needs</textarea></td>
			<td><center><input type="text" name="date_created[$i]" value="$creationdate"  /></td>
			<td><center><input type="checkbox" $activeadd name="active[$i]" value="1"  /></td>
			</tr>
EOF;
			$i++;
		}
	}

	$content .= '

	</table>
	<div class="tablenav">
	
	<div class="alignleft actions">
	<select name="action">
	<option value="-1" selected="selected">'.__("Bulk Actions","wp-reservation").'</option>
	<option value="activate">'.__("Activate","wp-reservation").'</option>
	<option value="edit">'.__("Update","wp-reservation").'</option>
	<option value="delete">'.__("Delete","wp-reservation").'</option>
	</select>
	<input type="submit" value="'.__("Apply","wp-reservation").'" name="doaction" id="doaction" class="button-primary" />
	</div>

	<br class="clear" />
	</div>	
	
	</form>
';
	echo $content;
}


function adm_add_needs()
{
	global $wpdb;

	$content="";
	
	if ($_REQUEST['submit'] == "Apply" ) {
		$qry ="insert into ".$wpdb->prefix . "res_needs"." values ('','".$_REQUEST['needs']."',now(),'')";
		$wpdb->query($wpdb->prepare($qry) );
		$content .= "<div class=alert>".__("Record added","wp-reservation")."</div><br><a href=\"?page=resources\">View Prayer Needs</a><br><br>";
	}
	
	$content .= '
			<h2>Add New Prayer Requests</h2>
		<form id="form20" name="form20" method="post" action="">
			<textarea cols="140" rows="15" name="needs"></textarea><br>
		<input type="submit" value="Apply" name="submit" id="submit" class="button-primary" />
		</form>
	';
	echo $content;
}


function adm_orders()
{
	global $wpdb;

	$content="";
	
	if ($_REQUEST['add_order']) {
		$qry ="insert into ".$wpdb->prefix . "res_resources"." (name, username) values ('".$_REQUEST['name']."','".$_REQUEST['username']."')";
		$wpdb->query($wpdb->prepare($qry) );
		$content .= "<div class=alert>".__("Record added","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="-1" ) {
		$content .= "<div class=alert>".__("You have not selected any of the operations","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="edit" and count($_REQUEST['post'])>0) {
		foreach ($_REQUEST['post'] as $key=>$value) {
		
		  $kolday=(strtotime($_REQUEST['dateend'][$key])-strtotime($_REQUEST['datebegin'][$key]))/(24*60*60)+1;
		  
		  $qry="select  kol,  b.username  from  ".$wpdb->prefix . "res_orders_content b
INNER JOIN ".$wpdb->prefix . "res_resources a ON (a.resourceid = b.resourceid) where orderid=".$value;

	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );

		if (count($results)>0) {
		$i=1;$kolm=0;$summ=0;
			foreach ($results as $fld) {
			$summ+=$fld[0]*$fld[1];
			$i++;
			}
		}
			$qry ="update ".$wpdb->prefix . "res_orders"." set username = '".$summ*$kolday."' ,  datebegin = '".$_REQUEST['datebegin'][$key]."' ,  dateend = '".$_REQUEST['dateend'][$key]."',  comments = '".$_REQUEST['comments'][$key]."',  payed = '".$_REQUEST['payed'][$key]."' where orderid='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
		}
		$content .=  "<div class=alert>".__("Selected records changed","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="delete" and count($_REQUEST['post'])>0) {
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="delete from ".$wpdb->prefix . "res_orders"."  where orderid='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
			$qry ="delete from ".$wpdb->prefix . "res_orders_content"."  where orderid='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
		}
		$content .=  "<div class=alert>".__("Selected records deleted","wp-reservation")."</div>"		 ;
	}

	$content .= '
	<style type="text/css">textarea {resize:vertical;} </style>
	<h2>'.__("Requests","wp-reservation").'</h2>

	<form id="form2" name="form2" method="post" action="">
	<table class="widefat page fixed" style="">
	<thead>
	<tr>
	<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox" /></th>
	<th width=20>ID</th>
	<th>'.__("Person","wp-reservation").'</th>
	<th>'.__("Start date","wp-reservation").'</th>
	<th>'.__("End date","wp-reservation").'</th>
	<th width=180>'.__("Comment","wp-reservation").'</th>
	<th>'.__("Frequency","wp-reservation").'</th>
	<th width=80>'.__("Newsletter","wp-reservation").'</th>
	</tr>
	</thead>
';

	$qry="select orderid, userid , datebegin, dateend, comments , newsletter, freq,
max((if(meta_key = 'first_name', meta_value, NULL ))) first_name,
max((if(meta_key = 'last_name', meta_value, NULL ))) last_name,
max((if(meta_key = 'nickname', meta_value, NULL ))) nickname from
".$wpdb->prefix . "usermeta inner join ".$wpdb->prefix . "res_orders on (userid = user_id)
where meta_key in ('first_name','last_name','nickname' )
group by orderid, userid , username , datebegin, dateend, comments , freq";


	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_A);

	$pageadr=$_REQUEST['page'];
	if (count($results)>0) {
		$i=1;
		foreach ($results as $fld) {

			extract($fld);

			$payedadder="";
			if ($newsletter > 0) $payedadder="checked";
			if ($freq == 1){$frequency = "Daily";}
			if ($freq == 7){$frequency = "Weekly";}
			if ($freq == 30){$frequency = "Monthly";}
			if ($freq == 365){$frequency = "Yearly";}
			
			$content .= <<<EOF
			<tr>    <th scope="row" class="check-column"><input type="checkbox" name="post[$i]" value="$orderid" /></th>
			<td><a href="?page=$pageadr&subpage=suborder&userid=$userid&last_name=$last_name&first_name=$first_name&datebegin=$datebegin&dateend=$dateend&orderid=$orderid">$orderid</a></td>
			<td><center><input type="hidden" name="orderid[$i]" value="$orderid" />
			<input type="hidden" name="userid[$i]" value="$userid" />
			<a href="user-edit.php?user_id=$userid" title="$nickname">$first_name $last_name</a>
			<a href="?page=$pageadr&subpage=mail&userid=$userid&last_name=$last_name&first_name=$first_name&datebegin=$datebegin&dateend=$dateend&orderid=$orderid" title="
EOF
.__("Send email to customer","wp-reservation").
<<<EOF
			" 
EOF;
			$content .= <<<EOF
			 ><img src="images/comment-grey-bubble.png"></a> 

			</td>
			<td><center><input type="text" name="datebegin[$i]" value="$datebegin" size=11 /></td>
			<td><center><input type="text" name="dateend[$i]" value="$dateend" size=11 /></td>
			<td><center><textarea cols="25" rows="2" name="comments[$i]">$comments</textarea></td>
			<td><center>$frequency</td>
			<td><center><input type="checkbox" $payedadder name="newsletter[$i]" value="1"  /></td>

			</tr>
EOF;
			$i++;
		}
	}

	$content .= '

	</table>

	<div class="tablenav">

	<div class="alignleft actions">
	<select name="action">
	<option value="-1" selected="selected">'.__("Bulk Actions (not working)","wp-reservation").'</option>
	<option value="edit">'.__("Update","wp-reservation").'</option>
	<option value="delete">'.__("Delete","wp-reservation").'</option>
	</select>
	<input type="submit" value="'.__("Apply","wp-reservation").'" name="doaction" id="doaction" class="button-primary" />
	</div>

	<br class="clear" />
	</div>	
	
	</form>
';
	echo $content;
}


function adm_suborder()
{
	global $wpdb;
		
	$content="";
	$kolday=(strtotime($_REQUEST['dateend'])-strtotime($_REQUEST['datebegin']))/(24*60*60)+1;
	
	
	if ($_REQUEST['add_sub_order']) {
		if ($_REQUEST['resourceid'] == -1 or $_REQUEST['kol']== "" or $_REQUEST['username']=="") { $content .= "<div class=alert>".__("To add a record, you must specify all the parameters. Record was not added.","wp-reservation")."</div>"; } else {
			$qry ="insert into ".$wpdb->prefix . "res_orders_content"." (orderid, resourceid, kol, username) values ('".$_REQUEST['orderid']."','".$_REQUEST['resourceid']."','".$_REQUEST['kol']."','".$_REQUEST['username']."')";
			$wpdb->query($wpdb->prepare($qry) );
			$qry ="update ".$wpdb->prefix . "res_orders"." set username = username + '".$_REQUEST['kol']*$_REQUEST['username']."' where orderid='".$_REQUEST['orderid']."' ";
			$wpdb->query($wpdb->prepare($qry) );
			$content .= "<div class=alert>".__("Record added","wp-reservation")."</div>"		 ;}
	}

	if ($_REQUEST['action']=="-1" ) {
		$content .= "<div class=alert>".__("You have not selected any of the operations","wp-reservation")."</div>"		 ;
	}


	if ($_REQUEST['action']=="edit" and count($_REQUEST['post'])>0) {
		$summ=0;$summold=0;
		
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="update ".$wpdb->prefix . "res_orders_content"." set resourceid= '".$_REQUEST['resourceid'][$key]."' ,  username = '".$_REQUEST['username'][$key]."' ,  kol = '".$_REQUEST['kol'][$key]."' where id='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
			$summ+=$_REQUEST['kol'][$key]*$_REQUEST['username'][$key];
			//$summold+=$_REQUEST['oldkol'][$key]*$_REQUEST['oldprice'][$key];
		}
		$qry ="update ".$wpdb->prefix . "res_orders"." set username =   ".($summ*$kolday)." where orderid='".$_REQUEST['orderid']."' ";	
		
		$wpdb->query($wpdb->prepare($qry) );

		
		$content .=  "<div class=alert>".__("Selected records changed","wp-reservation")."</div>"		 ;
	}

	if ($_REQUEST['action']=="delete" and count($_REQUEST['post'])>0) {
		$summold=0;
		foreach ($_REQUEST['post'] as $key=>$value) {
			$qry ="delete from ".$wpdb->prefix . "res_orders_content"."  where id='".$value."' ";
			$wpdb->query($wpdb->prepare($qry) );
			$summold+=$_REQUEST['oldkol'][$key]*$_REQUEST['oldprice'][$key];
		}
		$qry ="update ".$wpdb->prefix . "res_orders"." set username = username - '".$summold."' where orderid='".$_REQUEST['orderid'][$key]."' ";
		$wpdb->query($wpdb->prepare($qry) );	
		$content .=  "<div class=alert>".__("Selected records deleted","wp-reservation")."</div>"		 ;
	}


	$qryso= "select resourceid, name  from  ".$wpdb->prefix . "res_resources ";  	
	$resso=$wpdb->get_results($wpdb->prepare($qryso), ARRAY_N );

	$select=createselectoption ($fld[2], $resso, "resourceid",__("Select","wp-reservation"))	;

	$content .= '
	<h2>'.__("Composition of order","wp-reservation").' #'.$_REQUEST['orderid'].'</h2>
	<h3>'.__("Adding record","wp-reservation").'</h3>
	<form id="form1" name="form1" method="post" action="">
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr >
	<th>'.__("Resources","wp-reservation").'</th>
	<th >'.__("Reserved places","wp-reservation").'</th>
	<th>'.__("username per place","wp-reservation").'</th>
	</tr>
	</thead>
	<tr>
	<td>'.$select.'<input type="hidden" name="orderid" value='.$_REQUEST['orderid'].' /></td>
	<td><input type="text" name="kol"  /></td>
	<td><input type="text" name="username"  /></td>
	


	</tr>
	</table>
	<div class="tablenav">

	<div class="alignleft actions">
	<input type="hidden" value="1" name="add_sub_order" >
	<input type="submit" value="'.__("Add","wp-reservation").'" name="doaction" id="doaction" class="button-primary" />

	</div>

	<br class="clear" />
	</div>
	</form>

	<h3>'.__("Changing records","wp-reservation").'</h3>
	<form id="form2" name="form2" method="post" action="">
	<table class="widefat page fixed" style="width:650px">
	<thead>
	<tr>
	<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox" /></th>
	<th>'.__("Resources","wp-reservation").'</th>
	<th >'.__("Reserved places","wp-reservation").'</th>
	<th>'.__("Price per place","wp-reservation").'</th>
	
	</tr>
	</thead>
';

	$qry="select id, orderid, b.resourceid, name ,  kol,  b.username  from  ".$wpdb->prefix . "res_orders_content b
INNER JOIN ".$wpdb->prefix . "res_resources a ON (a.resourceid = b.resourceid) where orderid=".$_REQUEST['orderid'];
	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );

	if (count($results)>0) {
		$i=1;$kolm=0;$summ=0;
		foreach ($results as $fld) {
			$select=createselectoption ($fld[2], $resso, "resourceid[$i]","")	;
			$content .= <<<EOF
			<tr>    <th scope="row" class="check-column"><input type="checkbox" name="post[$i]" value="$fld[0]" /></th>
			<td><input type="hidden" name="id[$i]" value="$fld[0]" /><input type="hidden" name="orderid[$i]" value="$fld[1]" />$select </td>
			<td><input type="hidden" name="oldkol[$i]" value="$fld[4]"  /><input type="text" name="kol[$i]" value="$fld[4]"  /></td>
			<td><input type="hidden" name="oldprice[$i]" value="$fld[5]"  /><input type="text" name="username[$i]" value="$fld[5]"  /></td>
			
			</tr>
EOF;
			$kolm+=$fld[4];
			$summ+=$fld[4]*$fld[5];
			$i++;
		}
	}

	$content .= '
	<tfoot>
	<tr>
	<th > </th>
	<th>'.__("Total","wp-reservation").'</th>
	<th > '.__("places","wp-reservation").': '.$kolm.'</th>
	<th>'.__("username","wp-reservation").': '.$summ.'</th>
	
	</tr>
	</tfoot>
	</table>
	<div class="tablenav">

	<div class="alignleft actions">
	<select name="action">
	<option value="-1" selected="selected">'.__("Bulk Actions","wp-reservation").'</option>
	<option value="edit">'.__("Change","wp-reservation").'</option>
	<option value="delete">'.__("Delete","wp-reservation").'</option>
	</select>
	<input type="hidden" name="orderid" value='.$_REQUEST['orderid'].' />
	<input type="submit" value="'.__("Apply","wp-reservation").'" name="doaction" id="doaction" class="button-primary" />
	</div>	
	
	<br class="clear" />
	</div>

	</form>
';

	echo $content;
}


function createselectoption ($id, $arr, $name, $first)
{
	$content="<select name=$name>";
	if (($first)!="") $content.="<option $adder value=\"-1\">$first</option>";
	foreach ($arr as $opt) {
		if ($opt[0]==$id) $adder="selected"; else $adder="";
		$content.="<option $adder value=\"$opt[0]\">$opt[1]</option>";
		
	}
	$content.=	"</select>";
	return $content;
}

function adm_makeorder0() {

	$today = date("Ymd");  $today2 = date("d.m.Y"); 
	
	$content = "";

	$content .= <<<EOF
<h2>
EOF
	.__("Reserve","wp-reservation").
	<<<EOF
	</h2>
	<p>
EOF
	.__("To see prices and availability, enter your arrival date and length of stay in the search form below.","wp-reservation").
	<<<EOF
	</p>
	
	<form name="res_order"  action="" method=post ><input type="hidden" name=page value="makeorder1" >
	
	<input size="10" id="datebegin2" name="datebegin" value="$today2" /> <button class="button-primary" id="f_btn2" onclick="return false;">...</button> 
	<select name=kolday class="koldays" >
EOF;
	$maxdays=get_option("res_days");
	for($i=1;$i<=$maxdays;$i++)
	{$content .= "<option value=\"$i\" >$i</option>";}	
	$content .= <<<EOF
	</select>
	
	<input  class="button-primary"  type="submit" value="
EOF
.__("Continue","wp-reservation").
<<<EOF
	"   ></form>

	<script type="text/javascript">//<![CDATA[

	var cal = Calendar.setup({
onSelect: function(cal) { cal.hide() }
		,
min:$today 
		
	});
	cal.manageFields("f_btn2", "datebegin2", "%d.%m.%Y");

	//]]></script>	
	
EOF;

	echo $content ;
};

function adm_makeorder1() {
	global $wpdb;
	$content = "";

	if ($_REQUEST['page']	== "makeorder1") {
		list($day, $month, $year) = sscanf($_REQUEST['datebegin'], "%02d.%02d.%04d"); 
		$datebegin=$year."-". $month."-". $day;
		$dateend=date("Y-m-d",strtotime($datebegin)+($_REQUEST['kolday']-1)*24*60*60);
	} else {
		
		$datebegin=$_REQUEST['datebegin'];
		$dateend=$_REQUEST['kolday'];
	}

	$content .= "<p>".__("Please select resources you want to book, and desired amount.","wp-reservation")."</p>";

	$qry="select a.resourceid, name ,   a.username ";
	
	$dt=strtotime ($datebegin);
	
	$bt = '<form name="res_order" id="res_order"  action="" method="post"> <table class="widefat page fixed" width=100%  > <thead>	<tr ><th style=\"width:200px\" > </th>';
	while (strtotime($dateend)>=$dt)  {
		$qdt=date("Y-m-d",$dt);
		$qdtout=date("d/m",$dt);

		$qry.=",    capacity - sum(if ( '$qdt' between datebegin and dateend , kol, 0)) `$qdt`  ";
		$bt .= "<th  >$qdtout</th>";
		$dt=$dt+24*60*60;
	}
	$bt .= '<th  >'.__("username","wp-reservation").'</th><th  >'.__("persons","wp-reservation").'</th></tr></thead>';
	$qry.="   from  
	".$wpdb->prefix . "res_orders  c
INNER JOIN  ".$wpdb->prefix . "res_orders_content   b 
ON (c.orderid =
	b.orderid)
	RIGHT JOIN  ".$wpdb->prefix . "res_resources   a ON (b.resourceid =
	a.resourceid)
	where capacity>0 
		group by name, a.resourceid, a.username ";

	$results=$wpdb->get_results($wpdb->prepare($qry), ARRAY_N );

	$rowflag=1;  $j=1;
	if (count($results)>0) {
		
		$content .= $bt;
		foreach ($results as $fld) {
			$content .= '<tr class="row'.$rowflag.'">';
			$k=1;
			$min=$fld[3];
			foreach ($fld as $fld2) {

				switch ($k) {
				case 1:   $resource=$fld2; break;
				case 2: $content .= "<td >".$fld2."</td>"; break;
				case 3: $username = $fld2;  break;
				default:  $content .= "<td >$fld2</td>"; if ($fld2<$min) $min=$fld2; break;
				}
				$k++;
			}
			
			$content .= '<td>'.$username.'</td><td><input type=hidden name=username['.$resource.'] value="'.$username.'"><input type=hidden name=resource_name['.$resource.'] value="'.$fld[1].'">';
			
			//if ($minorder<=$min ) 
			{ 
				$content .= '<select col=30  name=reskol['.$resource.']> <option value="0">'.__("select","wp-reservation").'</option>   ';
				if ($j>1) $javaif .= " && (obj.elements['reskol[$resource]'].value==0) "  ; else $javaif = " (obj.elements['reskol[$resource]'].value==0) ";
				for ($i=1;$i<=$min; $i++) {
					$content .= '<option value="'.$i.'">'.$i.'</option>';			
				}
				$content .= '</select>' ; 
			} 
			
			$content .= '</td></tr>';			
			$j++;
			$rowflag = $rowflag*(-1);

		}

		$content .= '<tr><td colspan='.(count($fld)-2).'></td><td align=right><br><input onclick="return checkForm();"  type="submit" value="'.__("Book now","wp-reservation").'"   ></td></tr></table><div align=right><input type="hidden" name=page value="makeorder2" ><input type="hidden" name="datebegin" value="'.$datebegin.'" ><input type="hidden" name="dateend" value="'.$dateend.'" ><input type="hidden" name="kolday" value="'.$_REQUEST['kolday'].'" > <BR></div></form>';			

		$content .= <<<EOF
		<script language="javascript">
		<!--
		function checkForm() {
			var err = "";
			var obj = document.forms['res_order'];
			
			
			if ( true $javaif ) {
				err += "  ";
			}	

			if (err!="") {
				err = "
EOF
.__("You must select at least one of the numbers","wp-reservation").
<<<EOF
				" + err;
				alert(err); return false;
			} else {

				return true;
			}
		}
		-->
		</script> 
EOF;
		
		
	}
	else $content .= "<p>".__("No information about free resources","wp-reservation")."</p>";
	echo $content ;
}

function adm_makeorder2 () {
	global $wpdb;
	$content = "";

	$reskol=$_REQUEST['reskol'];
	$username=$_REQUEST['username'];
	$kolday=$_REQUEST['kolday'];

	foreach ($_REQUEST['reskol'] as $key=>$value )
	{
		$sumprice+=$reskol[$key]*$username[$key]*$kolday;

	}

	$qry ="insert into ".$wpdb->prefix . "res_orders"." (userid, username, datebegin, dateend) values ('1','$sumprice','".$_REQUEST['datebegin']."','".$_REQUEST['dateend']."')";
	
	
	$wpdb->query($wpdb->prepare($qry) );	
	$orderid= mysql_insert_id();

	foreach ($_REQUEST['reskol'] as $key=>$value )
	{
		if ($reskol[$key]>0 ) {
			$qry ="insert into ".$wpdb->prefix . "res_orders_content"." (orderid, resourceid, kol, username) values ('$orderid','$key','$reskol[$key]','$username[$key]')";
			$wpdb->query($wpdb->prepare($qry) );	}
	}

	$content.=	"<p>".__("Created an order","wp-reservation")." №$orderid </p>";
	echo $content;
}

?>